## vdr-plugin-softhddevice 0.6.0+git20150324

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: eea795b6f43f14ff33b1fd36ef0b8a17ca6bbfe1 $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = softhddevice

### Configuration (edit this for your needs)

    # support alsa audio output module
ALSA ?= $(shell pkg-config --exists alsa && echo 1)
    # support OSS audio output module
OSS ?= 1
    # support VDPAU video output module
VDPAU ?= $(shell pkg-config --exists vdpau && echo 1)
    # support VA-API video output module (deprecated)
#VAAPI ?= $(shell pkg-config --exists libva && echo 1)
    # support glx output
#OPENGL ?= $(shell pkg-config --exists gl glu && echo 1)
    # screensaver disable/enable
SCREENSAVER ?= 1
    # use ffmpeg libswresample
SWRESAMPLE ?= $(shell pkg-config --exists libswresample && echo 1)
    # use libav libavresample
ifneq ($(SWRESAMPLE),1)
AVRESAMPLE ?= $(shell pkg-config --exists libavresample && echo 1)
endif

CONFIG := # -DDEBUG #-DOSD_DEBUG	# enable debug output+functions
#CONFIG += -DSTILL_DEBUG=2		# still picture debug verbose level

CONFIG += -DAV_INFO -DAV_INFO_TIME=3000	# info/debug a/v sync
CONFIG += -DUSE_PIP			# PIP support
#CONFIG += -DHAVE_PTHREAD_NAME		# supports new pthread_setname_np
#CONFIG += -DNO_TS_AUDIO		# disable ts audio parser
#CONFIG += -DUSE_TS_VIDEO		# build new ts video parser
#CONFIG += -DUSE_MPEG_COMPLETE		# support only complete mpeg packets
#CONFIG += -DH264_EOS_TRICKSPEED	# insert seq end packets for trickspeed
#CONDIF += -DDUMP_TRICKSPEED		# dump trickspeed packets
#CONFIG += -DUSE_BITMAP			# VDPAU, use bitmap surface for OSD
CONFIG += -DUSE_VDR_SPU			# use VDR SPU decoder.
#CONFIG += -DUSE_SOFTLIMIT		# (tobe removed) limit the buffer fill

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*const VERSION *=' $(PLUGIN).cpp | awk '{ print $$7 }' | sed -e 's/[";]//g')
GIT_REV = $(shell git describe --always 2>/dev/null)

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS	= $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

ifeq ($(CFLAGS),)
$(warning CFLAGS not set)
endif
ifeq ($(CXXFLAGS),)
$(warning CXXFLAGS not set)
endif

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Parse softhddevice config

ifeq ($(ALSA),1)
CONFIG += -DUSE_ALSA
_CFLAGS += $(shell pkg-config --cflags alsa)
LIBS += $(shell pkg-config --libs alsa)
endif
ifeq ($(OSS),1)
CONFIG += -DUSE_OSS
endif
ifeq ($(VDPAU),1)
CONFIG += -DUSE_VDPAU
_CFLAGS += $(shell pkg-config --cflags vdpau)
LIBS += $(shell pkg-config --libs vdpau)
endif
ifeq ($(VAAPI),1)
CONFIG += -DUSE_VAAPI
_CFLAGS += $(shell pkg-config --cflags libva-x11 libva)
LIBS += $(shell pkg-config --libs libva-x11 libva)
ifeq ($(OPENGL),1)
_CFLAGS += $(shell pkg-config --cflags libva-glx)
LIBS += $(shell pkg-config --libs libva-glx)
endif
endif
ifeq ($(OPENGL),1)
CONFIG += -DUSE_GLX
_CFLAGS += $(shell pkg-config --cflags gl glu)
LIBS += $(shell pkg-config --libs gl glu)
endif
ifeq ($(SCREENSAVER),1)
CONFIG += -DUSE_SCREENSAVER
_CFLAGS += $(shell pkg-config --cflags xcb-screensaver xcb-dpms)
LIBS += $(shell pkg-config --libs xcb-screensaver xcb-dpms)
endif
ifeq ($(SWRESAMPLE),1)
CONFIG += -DUSE_SWRESAMPLE
_CFLAGS += $(shell pkg-config --cflags libswresample)
LIBS += $(shell pkg-config --libs libswresample)
endif
ifeq ($(AVRESAMPLE),1)
CONFIG += -DUSE_AVRESAMPLE
_CFLAGS += $(shell pkg-config --cflags libavresample)
LIBS += $(shell pkg-config --libs libavresample)
endif

_CFLAGS += $(shell pkg-config --cflags libavcodec x11 x11-xcb xcb xcb-icccm)
LIBS += -lrt $(shell pkg-config --libs libavcodec x11 x11-xcb xcb xcb-icccm)

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -D_GNU_SOURCE $(CONFIG) \
	$(if $(GIT_REV), -DGIT_REV='"$(GIT_REV)"')

### Make it standard

override CXXFLAGS += $(_CFLAGS) $(DEFINES) $(INCLUDES) \
    -g -W -Wall -Wextra -Winit-self -Werror=overloaded-virtual
override CFLAGS	  += $(_CFLAGS) $(DEFINES) $(INCLUDES) \
    -g -W -Wall -Wextra -Winit-self -Wdeclaration-after-statement

### The object files (add further files here):

OBJS = $(PLUGIN).o softhddev.o video.o audio.o codec.o ringbuffer.o

SRCS = $(wildcard $(OBJS:.o=.c)) $(PLUGIN).cpp

### The main target:

all: $(SOFILE) i18n

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(SRCS) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR	  = po
I18Npo	  = $(wildcard $(PODIR)/*.po)
I18Nmo	  = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot	  = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(SRCS)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP \
	-k_ -k_N --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) \
	--msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(OBJS): Makefile

$(SOFILE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

## Private Targets:

HDRS=	$(wildcard *.h)

indent:
	for i in $(SRCS) $(HDRS); do \
		indent $$i; \
		unexpand -a $$i | sed -e s/constconst/const/ > $$i.up; \
		mv $$i.up $$i; \
	done

video_test: video.c Makefile
	$(CC) -DVIDEO_TEST -DVERSION='"$(VERSION)"' $(CFLAGS) $(LDFLAGS) $< \
	$(LIBS) -o $@

=== debian/changelog ===
vdr-plugin-softhddevice (0.6.0+git20150324-2) unstable; urgency=medium

  * Prepared upload (Closes: #800405)
  * Switched to machine readable copyright
  * Replaced build dependency to transitonal libav*-ffmpeg-dev packages
    with libav*-dev

 -- Tobias Grimm <etobi@debian.org>  Wed, 30 Sep 2015 00:07:51 +0200

vdr-plugin-softhddevice (0.6.0+git20150324-1) unstable; urgency=medium

  * New Upstream Snapshot (commit a1939eb)

 -- Tobias Grimm <etobi@debian.org>  Tue, 24 Mar 2015 19:42:19 +0100

vdr-plugin-softhddevice (0.6.0+git20150212-4) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:21:30 +0100

vdr-plugin-softhddevice (0.6.0+git20150212-3) unstable; urgency=medium

  * Switched to using ffmpeg (libav*-ffmpeg) because of the non-working VDPAU
    with libav

 -- Tobias Grimm <etobi@debian.org>  Sat, 28 Feb 2015 23:23:55 +0100

vdr-plugin-softhddevice (0.6.0+git20150212-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:56 +0100

vdr-plugin-softhddevice (0.6.0+git20150212-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 1d06c5b)
  * Build-depend on vdr-dev (>= 2.1.10)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Thu, 12 Feb 2015 21:31:30 +0100

vdr-plugin-softhddevice (0.6.0+git20141124-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.1.9)

 -- Tobias Grimm <etobi@debian.org>  Tue, 10 Feb 2015 19:15:04 +0100

vdr-plugin-softhddevice (0.6.0+git20141124-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 9f134c1)

 -- Tobias Grimm <etobi@debian.org>  Tue, 25 Nov 2014 00:42:48 +0100

vdr-plugin-softhddevice (0.6.0+git20140727-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 4a4de36)
  * Build-depend on libavresample-dev

 -- Tobias Grimm <etobi@debian.org>  Sun, 27 Jul 2014 22:46:47 +0200

vdr-plugin-softhddevice (0.6.0+git20130909-1) unstable; urgency=low

  * New Upstream Snapshot (commit a13c25d)

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Sep 2013 21:26:13 +0200

vdr-plugin-softhddevice (0.6.0-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 13:59:17 +0200

vdr-plugin-softhddevice (0.6.0-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:52:26 +0100

vdr-plugin-softhddevice (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch

 -- Tobias Grimm <etobi@debian.org>  Tue, 19 Mar 2013 22:47:56 +0100

vdr-plugin-softhddevice (0.6.0~rc3-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Tue, 19 Mar 2013 18:28:59 +0100

vdr-plugin-softhddevice (0.6.0~rc3-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Build-depend on vdr-dev (>= 1.7.40)
  * Standards-Version: 3.9.4

 -- Tobias Grimm <etobi@debian.org>  Tue, 19 Mar 2013 18:28:16 +0100

vdr-plugin-softhddevice (0.5.1+git20120715-1) unstable; urgency=low

  * New Upstream Snapshot (commit 15583a7)

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Jul 2012 11:15:03 +0200

vdr-plugin-softhddevice (0.5.1-1) unstable; urgency=low

  * Initial release

 -- Tobias Grimm <etobi@debian.org>  Sat, 14 Jul 2012 20:13:49 +0200

=== debian/control ===
Source: vdr-plugin-softhddevice
Section: video
Priority: extra
Maintainer: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), gettext, pkg-config,
 libasound2-dev,
 libx11-dev,
 libxcb1-dev,
 libx11-xcb-dev,
 libxcb-ewmh-dev,
 libxcb-dpms0-dev,
 libxcb-glx0-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-randr0-dev,
 libxcb-screensaver0-dev,
 libxcb-shm0-dev,
 libxcb-util0-dev,
 libxcb-xv0-dev,
 x11proto-core-dev,
 mesa-common-dev,
 libglu1-mesa-dev,
 libva-dev,
 libvdpau-dev,
 libavcodec-dev,
 libavutil-dev,
 libavresample-dev,
Standards-Version: 3.9.6
Homepage: http://projects.vdr-developer.org/projects/plg-softhddevice
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-softhddevice.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-softhddevice.git

Package: vdr-plugin-softhddevice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: HD output device plugin for VDR
 This plugin for the Linux Video Disc Recorder (VDR) acts as
 a output frontend with CPU / VA-API / VDPAU supported video
 decoding.

## vdr-plugin-softhddevice 0.6.0+git20160108

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: eea795b6f43f14ff33b1fd36ef0b8a17ca6bbfe1 $
+# $Id: 2a41981a57e5e83036463c6a08c84b86ed9d2be3 $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -18,9 +18,9 @@
     # support VDPAU video output module
 VDPAU ?= $(shell pkg-config --exists vdpau && echo 1)
     # support VA-API video output module (deprecated)
-#VAAPI ?= $(shell pkg-config --exists libva && echo 1)
+VAAPI ?= $(shell pkg-config --exists libva && echo 1)
     # support glx output
-#OPENGL ?= $(shell pkg-config --exists gl glu && echo 1)
+OPENGL ?= $(shell pkg-config --exists gl glu && echo 1)
     # screensaver disable/enable
 SCREENSAVER ?= 1
     # use ffmpeg libswresample
@@ -38,8 +38,8 @@
 #CONFIG += -DHAVE_PTHREAD_NAME		# supports new pthread_setname_np
 #CONFIG += -DNO_TS_AUDIO		# disable ts audio parser
 #CONFIG += -DUSE_TS_VIDEO		# build new ts video parser
-#CONFIG += -DUSE_MPEG_COMPLETE		# support only complete mpeg packets
-#CONFIG += -DH264_EOS_TRICKSPEED	# insert seq end packets for trickspeed
+CONFIG += -DUSE_MPEG_COMPLETE		# support only complete mpeg packets
+CONFIG += -DH264_EOS_TRICKSPEED		# insert seq end packets for trickspeed
 #CONDIF += -DDUMP_TRICKSPEED		# dump trickspeed packets
 #CONFIG += -DUSE_BITMAP			# VDPAU, use bitmap surface for OSD
 CONFIG += -DUSE_VDR_SPU			# use VDR SPU decoder.

=== debian/changelog ===
vdr-plugin-softhddevice (0.6.0+git20160108-2build1) bionic; urgency=medium

  * No-change rebuild agaisnt latest libva

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Nov 2017 19:34:14 -0400

vdr-plugin-softhddevice (0.6.0+git20160108-2) unstable; urgency=medium

  * Standards-Version: 3.9.8
  * vdr-dev (>= 2.3.8)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Sep 2017 22:29:52 +0200

vdr-plugin-softhddevice (0.6.0+git20160108-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 6dfa88a)
  * Added ffmpeg 3 compatibility patch from Andreas Cadhalpun
    (Closes: #803867)
  * Standards version 3.9.7

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2016 17:09:39 +0200

vdr-plugin-softhddevice (0.6.0+git20151102-2) unstable; urgency=medium

  * Imported Upstream version 0.6.0+git20151102
  * Made package maintained by Debian VDR Team

 -- Tobias Grimm <etobi@debian.org>  Mon, 02 Nov 2015 21:59:39 +0100

vdr-plugin-softhddevice (0.6.0+git20151102-1) unstable; urgency=medium

  * New Upstream Snapshot (commit ee2311d)

 -- Tobias Grimm <etobi@debian.org>  Mon, 02 Nov 2015 21:56:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: vdr-plugin-softhddevice
 Section: video
 Priority: extra
-Maintainer: Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.2.0), gettext, pkg-config,
+Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Uploaders: Tobias Grimm <etobi@debian.org>
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.3.8), gettext, pkg-config,
  libasound2-dev,
  libx11-dev,
  libxcb1-dev,
@@ -25,7 +26,7 @@
  libavcodec-dev,
  libavutil-dev,
  libavresample-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://projects.vdr-developer.org/projects/plg-softhddevice
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-softhddevice.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-softhddevice.git

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
http://projects.vdr-developer.org/projects/plg-softhddevice/files .*/vdr-softhddevice-(.*)\.tgz
